#ifndef GAMEGFX_H
#define GAMEGFX_H

/* Custom floatwin flags */
#define FWIN_CMDNAME          (FWIN_CUSTOM0 << 0)
#define FWIN_CANCELTEXT       (FWIN_CUSTOM0 << 1)
#define FWIN_PLACESTRUCTURE   (FWIN_CUSTOM0 << 2)
#define FWIN_GAMEMSG          (FWIN_CUSTOM0 << 3)
#define FWIN_USERMSG          (FWIN_CUSTOM0 << 4)
#define FWIN_MARK             (FWIN_CUSTOM0 << 5)
#define FWIN_DIALOG           (FWIN_CUSTOM0 << 6)

extern const FONT *get_royal_font(void);
extern const FONT *get_normal_font(void);
extern const FONT *get_large_font(void);
extern const FONT *get_small_font(void);
extern const FONT *get_menu_font(void);
extern const FONT *get_menu_bold_font(void);
extern const FONT *get_colour_font(void);
extern const FONT *get_alt_colour_font(void);
extern const FONT *get_title_font(void);
extern const FONT *get_password_font(void);
extern PALETTE *get_font_palette(void);

extern BITMAP *get_title_screen(PALETTE pal);

extern void select_mouse_cursor (const int id);
extern int get_mcptr_hotx(void);
extern int get_mcptr_hoty(void);
extern int get_mcptr_w(void);
extern int get_mcptr_h(void);

extern BITMAP *get_button_bitmap(const int buttonstyle);
extern BITMAP *get_ror_button_bitmap(void);
extern BITMAP *get_rol_button_bitmap(void);
extern SAMPLE *get_button_sample(void);
extern BITMAP *get_proind_bitmap(void);
extern BITMAP *get_dframe_bitmap(void);
extern BITMAP *get_alt_dframe_bitmap(void);
extern BITMAP *get_cboxnch_bitmap(void);
extern BITMAP *get_cboxch_bitmap(void);
extern BITMAP *get_obutnch_bitmap(void);
extern BITMAP *get_obutch_bitmap(void);
extern BITMAP *get_opt_frame_bitmap(void);
extern BITMAP *get_menubg_bitmap(void);
extern BITMAP *get_empty_slot_bitmap(void);
extern BITMAP *get_cursor_bitmap(void);

extern PALETTE *get_game_palette(void);

extern void load_global_gfx(void);
#endif
